<div class="row">
  <div class="col-lg-12">
    <h1 class="page-header">Sell</h1>
  </div>

</div>
<app-alert [text]="'Welcome to the shop!'" [status]="'info'"></app-alert>
<div class="row">
  <div class="col-lg-6">
    <div class="row">
      <div class="col-lg-12">
        <div class="panel panel-default">
          <div class="panel-heading">
            Select team
          </div>
          <div class="panel-body">
            <div class="table-responsive">
              <table class="table table-hover table-striped pick-table">
                <thead>
                <tr>
                  <th style="width: 70%">Name</th>
                  <th style="width: 30%">Points left</th>
                </tr>
                </thead>
                <tbody>
                <tr *ngFor="let team of teams; let i = index" (click)="selectedTeam=team"
                    [class.chosen]="team.id == selectedTeam.id">
                  <td>{{team.name}}</td>
                  <td>{{team.pointsLeft}}</td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      <div class="col-lg-12">
        <div class="panel panel-default">
          <div class="panel-heading">
            Select Item
          </div>
          <div class="panel-body">
            <div class="table-responsive">
              <table class="table table-hover table-striped pick-table">
                <thead>
                <tr>
                  <th style="width: 40%">Name</th>
                  <th style="width: 20%">Price</th>
                  <th style="width: 10%">Max/team</th>
                  <th style="width: 20%">Barcode</th>
                </tr>
                </thead>
                <tbody>
                <tr *ngFor="let item of items; let i = index" (click)="selectedItem=item"
                    [class.chosen]="item.id == selectedItem.id">
                  <td>{{item.name}}</td>
                  <td>{{item.pricePerUnit}}/{{item.unit}}</td>
                  <td>{{item.maxPerTeam}}</td>
                  <td>{{item.barcode}}</td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="col-lg-6">
    <div class="row">
      <div class="col-lg-12">
        <div class="panel panel-green">
          <div class="panel-heading">
            Sell
          </div>
          <div class="panel-body">
            <div class="row">
              <div class="col-xs-4">
                <div class="input-group">
                  <input #quantityInput type="text" class="form-control" name="quantity" [(ngModel)]="quantity"
                         (click)="quantityInput.select()" required>
                  <span class="input-group-btn">
                    <button class="btn btn-success" [disabled]="!sellPossible()" (click)="logTransaction()">SELL</button>
                  </span>
                </div><!-- /input-group -->
              </div>
              <div class="col-xs-2">
                <button class="btn btn-danger" [disabled]="!revertPossible()" (click)="revertLast()">Revert last</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-lg-12">
        <div class="panel panel-default">
          <div class="panel-heading">
            Transactions
          </div>
          <div class="panel-body">
            <table id="transactionsTable" width="100%" class="table table-striped table-bordered table-hover"
                   [mfData]="transactions" #mf="mfDataTable">
              <thead>
              <tr>
                <th>Timestamp</th>
                <th>Team</th>
                <th>Item</th>
                <th>Quantity</th>
                <th>Price</th>
                <th> Options</th>
              </tr>
              </thead>
              <tbody>
              <tr *ngFor="let transaction of mf.data; let i = index">
                <td>{{transaction.timestamp}}</td>
                <td>{{transaction.teamName}}</td>
                <td>{{transaction.itemName}}</td>
                <td>{{transaction.quantity}}</td>
                <td>{{transaction.price}}</td>
                <td>
                  <div class="options-buttons-wrapper ">
                    <button class="btn btn-danger btn-sm" (click)="revertTransaction(transaction)">
                      <i class="fa fa-trash-o"></i></button>
                  </div>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
